summaryrefslogtreecommitdiffstats
path: root/extra/rsync-server
diff options
context:
space:
mode:
authortnut <thierryn1 at hispeed dot ch>2010-07-03 01:10:44 +0200
committertnut <thierryn1 at hispeed dot ch>2010-07-03 01:10:44 +0200
commit2f9f483549dd06809d527e665a3cb34fb68043d2 (patch)
tree660975495ecddf24b69f5bd4cf6b0c6561b612c1 /extra/rsync-server
parent8244408c983604be8215a3c07a3eb02ddb2aef26 (diff)
downloadnutyx-pakxe-2f9f483549dd06809d527e665a3cb34fb68043d2.tar.gz
nutyx-pakxe-2f9f483549dd06809d527e665a3cb34fb68043d2.tar.bz2
nutyx-pakxe-2f9f483549dd06809d527e665a3cb34fb68043d2.tar.xz
nutyx-pakxe-2f9f483549dd06809d527e665a3cb34fb68043d2.zip
ajout rsync-server#20090302-1
Diffstat (limited to 'extra/rsync-server')
-rw-r--r--extra/rsync-server/.footprint20
-rw-r--r--extra/rsync-server/.md5sum0
-rw-r--r--extra/rsync-server/Pkgfile20
-rw-r--r--extra/rsync-server/rsyncd51
-rw-r--r--extra/rsync-server/rsyncd.conf13
5 files changed, 104 insertions, 0 deletions
diff --git a/extra/rsync-server/.footprint b/extra/rsync-server/.footprint
new file mode 100644
index 000000000..a322597bd
--- /dev/null
+++ b/extra/rsync-server/.footprint
@@ -0,0 +1,20 @@
+drwxr-xr-x root/root etc/
+drwxr-xr-x root/root etc/rc.d/
+drwxr-xr-x root/root etc/rc.d/init.d/
+-rwxr-xr-- root/root etc/rc.d/init.d/rsyncd
+drwxr-xr-x root/root etc/rc.d/rc0.d/
+lrwxrwxrwx root/root etc/rc.d/rc0.d/K30rsyncd -> ../init.d/rsyncd
+drwxr-xr-x root/root etc/rc.d/rc1.d/
+lrwxrwxrwx root/root etc/rc.d/rc1.d/K30rsyncd -> ../init.d/rsyncd
+drwxr-xr-x root/root etc/rc.d/rc2.d/
+lrwxrwxrwx root/root etc/rc.d/rc2.d/K30rsyncd -> ../init.d/rsyncd
+drwxr-xr-x root/root etc/rc.d/rc3.d/
+lrwxrwxrwx root/root etc/rc.d/rc3.d/S30rsyncd -> ../init.d/rsyncd
+drwxr-xr-x root/root etc/rc.d/rc4.d/
+lrwxrwxrwx root/root etc/rc.d/rc4.d/S30rsyncd -> ../init.d/rsyncd
+drwxr-xr-x root/root etc/rc.d/rc5.d/
+lrwxrwxrwx root/root etc/rc.d/rc5.d/S30rsyncd -> ../init.d/rsyncd
+drwxr-xr-x root/root etc/rc.d/rc6.d/
+lrwxrwxrwx root/root etc/rc.d/rc6.d/K30rsyncd -> ../init.d/rsyncd
+drwxr-xr-x root/root etc/rc.d/rcsysinit.d/
+drwxr-xr-x root/root etc/sysconfig/
diff --git a/extra/rsync-server/.md5sum b/extra/rsync-server/.md5sum
new file mode 100644
index 000000000..e69de29bb
--- /dev/null
+++ b/extra/rsync-server/.md5sum
diff --git a/extra/rsync-server/Pkgfile b/extra/rsync-server/Pkgfile
new file mode 100644
index 000000000..70151cb94
--- /dev/null
+++ b/extra/rsync-server/Pkgfile
@@ -0,0 +1,20 @@
+# Description: Serveur protocol de synchronisation de fichiers très éfficace
+# URL: http://samba.anu.edu.au/rsync/
+# Maintainer: NuTyX coreteam
+# Packager: thierryn1 at hispeed dot ch
+# Depends on: rsync
+
+name=rsync-server
+version=20090302
+release=1
+source=()
+
+
+build() {
+ source /etc/blfs-bootscripts
+ wget http://www.linuxfromscratch.org/blfs/downloads/svn/$scripts-$version.tar.bz2
+ tar xvf $scripts-$version.tar.bz2
+ cd $scripts-$version
+ make DESTDIR=$PKG install-rsyncd
+
+}
diff --git a/extra/rsync-server/rsyncd b/extra/rsync-server/rsyncd
new file mode 100644
index 000000000..211c419df
--- /dev/null
+++ b/extra/rsync-server/rsyncd
@@ -0,0 +1,51 @@
+#!/bin/sh
+# Begin $rc_base/init.d/rsyncd
+
+# Based on sysklogd script from LFS-3.1 and earlier.
+# Rewritten by Gerard Beekmans - gerard@linuxfromscratch.org
+
+#$LastChangedBy: randy $
+#$Date: 2005-11-21 14:46:15 -0600 (Mon, 21 Nov 2005) $
+
+. /etc/sysconfig/rc
+. $rc_functions
+newgroup=rsyncd
+newuser=rsyncd
+newid=48
+getent group $newgroup > /dev/null || /usr/sbin/groupadd -g $newid $newgroup
+getent passwd $newuser > /dev/null || /usr/sbin/useradd -c "rsyncd Daemon" -d /home/rsync \
+-g $newgroup -s /bin/false -u $newid $newuser
+
+case "$1" in
+ start)
+ boot_mesg "Starting RSYNC Server..."
+ loadproc /usr/bin/rsync --daemon
+ ;;
+
+ stop)
+ boot_mesg "Stopping RSYNC Server..."
+ killproc /usr/bin/rsync
+ ;;
+
+ reload)
+ boot_mesg "Reloading RSYNC Server..."
+ reloadproc /usr/bin/rsync
+ ;;
+
+ restart)
+ $0 stop
+ sleep 1
+ $0 start
+ ;;
+
+ status)
+ statusproc /usr/bin/rsync
+ ;;
+
+ *)
+ echo "Usage: $0 {start|stop|reload|restart|status}"
+ exit 1
+ ;;
+esac
+
+# End $rc_base/init.d/rsyncd
diff --git a/extra/rsync-server/rsyncd.conf b/extra/rsync-server/rsyncd.conf
new file mode 100644
index 000000000..ccd9d9d81
--- /dev/null
+++ b/extra/rsync-server/rsyncd.conf
@@ -0,0 +1,13 @@
+#This is a basic rsync configuration file
+# It exports a single module without user authentication.
+
+motd file = /home/rsync/welcome.msg
+use chroot = yes
+
+[localhost]
+ path = /home/rsync
+ comment = Default rsync module
+ read only = yes
+ list = yes
+ uid = rsyncd
+ gid = rsyncd